# -*- coding: utf-8 -*-
from setuphelpers import *


def update_package():
    # Declaring local variables
    result = False
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()
    app_name = control.name
    url = "https://helgeklein.com/download/"

    for bs_search in bs_find_all(
        url,
        "a",
        attribute="class",
        value="tbd_link",
        proxies=proxies,
    ):
        if (".zip" in bs_search["data-url"].lower()) and ("DelProf2" in bs_search.text):
            latest_bin = bs_search["data-url"].split("/")[-1]
            version = latest_bin.strip("Delprof2 ").strip(".zip")
            download_url = bs_search["data-url"]
            break

    # Downloading latest binaries
    if not isfile(latest_bin):
        print("Downloading: %s" % latest_bin)
        wget(download_url, latest_bin, proxies=proxies)

    # Changing version of the package
    if Version(version) > Version(control.get_software_version()):
        print("Software version updated (from: %s to: %s)" % (control.get_software_version(), Version(version)))
        result = True
    else:
        print("Software version up-to-date (%s)" % Version(version))
    control.version = "%s-%s" % (Version(version), control.version.split("-", 1)[-1])
    # control.set_software_version(version)
    control.save_control_to_wapt()

    # Validating update-package-sources
    return result
